<?php 
// ***************************************************************
// *		Title		:	Secure cookie Creator
// *        Created By  :   ApNoVi
// *		Creation Date:	17/03/05
// *		Version		:	1.05
// *        Copyright   :   James van de waal
// *		Description	: 	Secures directories using .htaccess files
// *                        then creates cookies to match also with IP exclusion
// **************************************************************************
// *        1.04   Revisions: Change to set cookie IP Inclusion
// *        1.05   Revisions: Change to Java code so it is always execute
// ***************************************************************************
$lan_file = e_PLUGIN . "secure_cookie_menu/languages/admin/" . e_LANGUAGE . ".php";

if (file_exists($lan_file))
{
    require_once($lan_file);
} 
else
{
    require_once(e_PLUGIN . "secure_cookie_menu/languages/admin/English.php");
} 

$eplug_name = "Secure Cookie Creator";
$eplug_version = "1.05";
$eplug_author = "apnovi";
$eplug_logo = "/images/scookie.png";
$eplug_url = "http://e107plugins.co.uk";
$eplug_email = "apnovi@e107plugins.co.uk";
$eplug_description = "Secure Cookie Creator - This plugin uses .htaccess directory protection using user defined variables and creates matching cookies for authenticated users. This plugin only works on APACHE with .htaccess protection enabled!";
$eplug_compatible = "e107v7";
$eplug_readme = "readme.rtf"; // leave blank if no readme file

// Name of the plugin's folder -------------------------------------------------------------------------------------
$eplug_folder = "secure_cookie_menu";
// Mane of menu item for plugin ----------------------------------------------------------------------------------
$eplug_menu_name = "Secure Cookie Menu";
// Name of the admin configuration file --------------------------------------------------------------------------
$eplug_conffile = "admin_config.php";
// Icon image and caption text ------------------------------------------------------------------------------------
$eplug_icon = $eplug_folder . "/images/scookie.png";
$eplug_icon_small = $eplug_folder."/images/scookie16.png";

$eplug_caption = "Secure Cookie Creator";
// List of preferences -----------------------------------------------------------------------------------------------
$eplug_prefs = array("scook_class"=>"0");

// List of table names -----------------------------------------------------------------------------------------------
$eplug_table_names = array("scook_classprefs","scook_dirprefs");
// List of sql requests to create tables -----------------------------------------------------------------------------
$eplug_tables = array(
"CREATE TABLE ".MPREFIX."scook_classprefs (
  scook_id int(10) unsigned NOT NULL auto_increment,
  scook_userclass tinyint(3) unsigned default 0 NULL,
  scook_hash1 varchar(50) default NULL,
  scook_hash2 varchar(50) default NULL,
  scook_lastgendate int(10) unsigned default NULL,
  scook_hashlength tinyint(3) unsigned default 0 NULL,
  scook_IP varchar(100) default NULL,
  scook_redirect varchar(100) default NULL,
  PRIMARY KEY  (scook_id),
  UNIQUE KEY scook_id (scook_id),
  KEY scook_id_2 (scook_id)
) TYPE=MyISAM;",

"CREATE TABLE e107_scook_dirprefs (
  dirprefs_id int(10) unsigned NOT NULL auto_increment,
  dirprefs_directory text,
  dirprefs_class tinyint(3) unsigned default NULL,
    PRIMARY KEY  (dirprefs_id),
  UNIQUE KEY dirprefs_id (dirprefs_id),
  KEY dirprefs_id_2 (dirprefs_id)
) TYPE=MyISAM;");
// Create a link in main menu (yes=TRUE, no=FALSE) -------------------------------------------------------------
$eplug_link = false;

$eplug_link_name = "";

$eplug_link_url = "";
// Text to display after plugin successfully installed ------------------------------------------------------------------
$eplug_done = "Add The Secure Cookie Creator Menu To Activate This Plugin Available";
// upgrading ... //
$upgrade_add_prefs = "";

$upgrade_remove_prefs = "";

$upgrade_alter_tables = "";

$eplug_upgrade_done = "";

?>	
